# -*- coding: utf-8 -*-
"""
Created on Fri Jun 12 12:42:26 2020

@author: Esther
"""

from openpyxl import load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, GREEN, BLUE, DARKBLUE, Color

workPv = load_workbook("PVs06122020.xlsx")
wsPv = workPv.active

wsPv['C1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
PvRange = [item for item in range(2, 5705)]

my_red = Color(rgb='00FF0000')
my_fill = PatternFill(patternType='solid', fgColor=my_red)

for x in PvRange:         
    
    if "MTRG" in str(wsPv['B'+str(x)].value) or "(T)" in str(wsPv['B'+str(x)].value) or "MTrig" in str(wsPv['A'+str(x)].value):
        wsPv['C'+str(x)] = "Trigger"
        wsPv['C'+str(x)].fill = PatternFill('solid', BLUE)
        
    if "RTR" in str(wsPv['B'+str(x)].value):
        wsPv['C'+str(x)] = "Router"
        wsPv['C'+str(x)].fill = PatternFill('solid', DARKBLUE)
    
    if wsPv['B'+str(x)].value is None:
        wsPv['C'+str(x)].value = None
        wsPv['C'+str(x)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
           
    else:
        if str(wsPv['C'+str(x)].value) == "MISSING":
            wsPv['C'+str(x)].fill = my_fill
        if str(wsPv['C'+str(x)].value) == "Y":
            wsPv['C'+str(x)].fill = PatternFill('solid', GREEN)
            

            
workPv.save("PVsheet_Rev_06122020.xlsx")