# -*- coding: utf-8 -*-
"""
Created on Mon Jun  8 16:29:55 2020

@author: Esther
"""

from openpyxl import Workbook
wb = Workbook()
ws = wb.active

from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW

ws.sheet_properties.tabColor = "1072BA"

filename = ["DGSrunControl",
            "gen_Master",
            "gen_linkControl",
            "WheelMap",
            "AuxIO_Ctl",
            "genRouter",
            "dgs_XYMAP",
            "RtrCPLD",
            "dgsTrigCntrl",
            "remoteDFMATrig",
            "MyriadTrig2",
            "monitorVeto",
            "genGlobal",
            "genVMEstats_2M_2S",
            "dgs_eventrates2",
            "dgs_eventrates3",
            "dgs_LiveTS2",
            "genIOC_2M_2S",
            "Trace",
            "eventRates2",
            "counterRates",
            "genBoard",
            "DigParamContrl",
            "dgsChannel" ,
            "DigEnable",
            "GeBGOmain",
            "GeBGO",
            "debugScreen",
            "RWDebug",
            "DigRegisters",
            "DigChanRegisters",
            "dgsMTrigRegisters",
            "detpvscreen",
            "dgs_detpv2",
            "dgs_digpv2",
            "getempmon",
            "gecfdall",
            "gesideall",
            "gehvall",
            "VXImain",
            "VXI",
            "detector",
            "lnmain",
            "lncontrols",
            "lnsettings",
            "underconstruct",
            "lnalarm",
            "lnmanifold",
            "lnmanup",
            "lnmandn",
            "lnmansum",
            "lntanks",
            "lnmandnA20"]

count = 1
ws.column_dimensions['A'].width = 25
ws.column_dimensions['B'].width = 50
ws.column_dimensions['C'].width = 10

for f in filename:
    title = 'A' + str(count)
    ws[title].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    ws[title] = f
    ws['B'+str(count)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    count +=1
    with open(f+".txt", "r") as file: 
       for line in file: 
           for word in line.split(): 
               if word == "controlPv":
                   pv = line.split('"')[1]
                   left = 'A'+str(count)
                   right = 'B'+str(count)
                   ws[left] = f
                   ws[right] = pv
                   count +=1
    file.close() 

  
wb.save("PVs06122020.xlsx") 