# -*- coding: utf-8 -*-
"""
Created on Wed Jun 10 11:20:36 2020

@author: Esther
"""

from openpyxl import load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import Color

workReg = load_workbook("ListOfAllAvailableRegsMTRM06112020.xlsx")
workPv = load_workbook("PVs06082020.xlsx")
wsReg = workReg.active
wsPv = workPv.active

RegRange = [item for item in range(1, 3607)]
PvRange = [item for item in range(1, 5705)]
my_red = Color(rgb='00FF0000')
my_fill = PatternFill(patternType='solid', fgColor=my_red)

wsPv['C1'].value = "Found"

for x in PvRange:
    if wsPv['B'+str(x)].value is not None:
        for y in RegRange:
            strRegSoft = str(wsReg['D'+str(y)].value)
            strPv = str(wsPv['B'+str(x)].value)
            strReg = str(wsReg['A'+str(y)].value)
            want = str(wsPv['A'+str(x)].value)
            if "RBV" in strPv:
               want += " (RBV)"
                
            if strRegSoft in strPv or strReg in strPv:
                if wsReg['F'+str(y)].value is None:
                    wsReg['F'+str(y)] = want
                    wsPv['C'+str(x)].value = "Y"
                else:
                    if want not in str(wsReg['F'+str(y)].value):
                        temp = str(wsReg['F'+str(y)].value)
                        wsReg['F'+str(y)] = temp + ", " + want
                        wsPv['C'+str(x)].value = "Y"
            
            if wsReg['F'+str(y + 1)].value is None:
                wsReg['F'+str(y + 1)].fill = my_fill
                wsReg['F'+str(y + 1)] = "MISSING"
                        
    if wsPv['C'+str(x+1)].value is None:
        wsPv['C'+str(x + 1)].fill = my_fill
        wsPv['C'+str(x + 1)] = "MISSING"

    
workReg.save("ListOfAllAvailableRegsMTRM06112020.xlsx")
workPv.save("PVs06082020.xlsx")