# -*- coding: utf-8 -*-
"""
Created on Mon Jun 15 09:59:22 2020

@author: Esther
"""

from openpyxl import load_workbook
wb = load_workbook("MDRM06152020.xlsx") 
ws = wb["Sheet"]

from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, GREEN, BLUE, DARKBLUE, Color

ws.sheet_properties.tabColor = "1072BA"

filename = ["DGSrunControl",
            "gen_Master",
            "gen_linkControl",
            "WheelMap",
            "AuxIO_Ctl",
            "genRouter",
            "dgs_XYMAP",
            "RtrCPLD",
            "dgsTrigCntrl",
            "remoteDFMATrig",
            "MyriadTrig2",
            "monitorVeto",
            "genGlobal",
            "genVMEstats_2M_2S",
            "dgs_eventrates2",
            "dgs_eventrates3",
            "dgs_LiveTS2",
            "genIOC_2M_2S",
            "Trace",
            "eventRates2",
            "counterRates",
            "genBoard",
            "DigParamContrl",
            "dgsChannel" ,
            "DigEnable",
            "GeBGOmain",
            "GeBGO",
            "debugScreen",
            "RWDebug",
            "DigRegisters",
            "DigChanRegisters",
            "dgsMTrigRegisters",
            "detpvscreen",
            "dgs_detpv2",
            "dgs_digpv2",
            "getempmon",
            "gecfdall",
            "gesideall",
            "gehvall",
            "VXImain",
            "VXI",
            "detector",
            "lnmain",
            "lncontrols",
            "lnsettings",
            "underconstruct",
            "lnalarm",
            "lnmanifold",
            "lnmanup",
            "lnmandn",
            "lnmansum",
            "lntanks",
            "lnmandnA20"]

count = 1
ws.column_dimensions['A'].width = 25
ws.column_dimensions['B'].width = 50
ws.column_dimensions['C'].width = 20
ws.column_dimensions['D'].width = 20
ws.column_dimensions['E'].width = 20


for f in filename:
    title = 'A' + str(count)
    ws[title].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    ws[title] = f
    ws['B'+str(count)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    ws['C'+str(count)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    ws['D'+str(count)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    ws['E'+str(count)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
    count +=1
    with open('C:\\Users\\Esther\\Documents\\SULI2020\\Python Materials\\Text_Files\\' +f+".txt", "r") as file: 
       for line in file: 
           for word in line.split(): 
               if word == "controlPv":
                   pv = line.split('"')[1]
                   left = 'A'+str(count)
                   right = 'B'+str(count)
                   ws[left] = f
                   ws[right] = pv
                   count +=1
    file.close() 

ws['C1'] = "MDRM Status"
ws['C1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")

ws['D1'] = "Trig Status"
ws['D1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")

ws['E1'] = "Router Status"
ws['E1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")

#PvRange = [item for item in range(2, 5705)]
#
#my_red = Color(rgb='00FF0000')
#my_fill = PatternFill(patternType='solid', fgColor=my_red)
#
#for x in PvRange:         
#    
#    if "MTRG" in str(ws['B'+str(x)].value) or "MTrig" in str(ws['A'+str(x)].value):
#        ws['C'+str(x)] = "Trigger"
#        ws['C'+str(x)].fill = PatternFill('solid', BLUE)
#        
#    if "RTR" in str(ws['B'+str(x)].value):
#        ws['C'+str(x)] = "Router"
#        ws['C'+str(x)].fill = PatternFill('solid', DARKBLUE)
#    
#    if ws['B'+str(x)].value is None:
#        ws['C'+str(x)].value = None
#        ws['C'+str(x)].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
#           
#    else:
#        if str(ws['C'+str(x)].value) == "MISSING":
#            ws['C'+str(x)].fill = my_fill
#        if str(ws['C'+str(x)].value) == "Y":
#            ws['C'+str(x)].fill = PatternFill('solid', GREEN)
  
wb.save("AllSpreadsheets06172020.xlsx") 