# -*- coding: utf-8 -*-
"""
Created on Tue Jun  9 12:53:43 2020

@author: Esther
"""
from openpyxl import load_workbook
workb = load_workbook(filename="MasterDigitizerRegisterMap.xlsx")
works = workb.active

from openpyxl import Workbook
wb = Workbook()
ws = wb.active

from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW

ws.column_dimensions['A'].width = 30
ws.column_dimensions['B'].width = 30
ws.column_dimensions['C'].width = 10
ws.column_dimensions['D'].width = 30
ws.column_dimensions['E'].width = 30
ws.column_dimensions['F'].width = 10
ws['A1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['B1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['C1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['D1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['E1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['F1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws['A1'] = "ArrayName"
ws['B1'] = "Register"
ws['C1'] = "EPICS Type"
ws['D1'] = "Software Field Name"
ws['E1'] = "Human Field Name"
ws['F1'] = "EDL Files"

count = 2

myRange = [item for item in range(1042, 32, -1)]

for x in myRange:
    if works['D' + str(x)].value is not None:
        temp = str(works['D' + str(x)].value)
    if works['J' + str(x)].value != 'x' and works['J' + str(x)].value != 'X' and works['J' + str(x)].value is not None:
        ws['A' + str(count)] = temp
        ws['B' + str(count)] = temp
        ws['C'+str(count)] = str(works['J' + str(x)].value)
        ws['D' + str(count)] = str(works['O' + str(x)].value)
        ws['E' + str(count)] = str(works['Q' + str(x)].value)
        count += 1


wb.save("ListOfAllAvailableRegsMDRM06122020.xlsx") 
