# -*- coding: utf-8 -*-
"""
Created on Wed Jun 10 11:20:36 2020

@author: Esther
"""

from openpyxl import load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import Color

workReg = load_workbook("ListOfAllAvailableRegsMDRM06122020.xlsx")
workPv = load_workbook("PVs06122020.xlsx")
wsReg = workReg.active
wsPv = workPv.active

RegRange = [item for item in range(1, 537)]
PvRange = [item for item in range(1, 5705)]
my_red = Color(rgb='00FF0000')
my_fill = PatternFill(patternType='solid', fgColor=my_red)

ws1['C1'].value = "Found"

for x in PvRange:
    if ws1['B'+str(x)].value is not None:
        for y in RegRange:
            strRegSoft = str(wsR2['D'+str(y)].value)
            strPv = str(ws1['B'+str(x)].value)
            want = str(ws1['A'+str(x)].value)
            
            if "RBV" in strPv:
               want += " (RBV)"
                
            if strRegSoft in strPv:
                if want not in str(wsReg['F'+str(y)].value):
                    temp = str(wsReg['F'+str(y)].value)
                    ws2['F'+str(y)] = temp + ", " + want
                    ws1['C'+str(x)].value = "Y"
            

for t in PvRange:                        
    if wsPv['C'+str(t)].value is None:
        wsPv['C'+str(t)].fill = my_fill
        wsPv['C'+str(t)] = "MISSING"
        
for z in RegRange:
    if wsReg['F'+str(z)].value is None:
        wsReg['F'+str(z)].fill = my_fill
        wsReg['F'+str(z)] = "MISSING"

    
workReg.save("W_ListOfAllAvailableRegsMDRM06122020.xlsx")
workPv.save("PVs06122020.xlsx")