# -*- coding: utf-8 -*-
"""
Created on Tue Jun 16 10:51:16 2020

@author: Esther
"""

from openpyxl import Workbook, load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, Color, GREEN

my_red = Color(rgb='00FF0000')
my_fill = PatternFill(patternType='solid', fgColor=my_red)

wb = load_workbook("AllSpreadsheets06172020.xlsx") 
ws1 = wb["Sheet"]
ws3 = wb["Sheet 3"]

RegRange = [item for item in range(1, 3608)]
PvRange = [item for item in range(1, 5706)]

for x in PvRange:
    if ws1['B'+str(x)].value is not None:
        for y in RegRange:
            strRegSoft = str(ws3['D'+str(y)].value)
            strPv = str(ws1['B'+str(x)].value)
            want = str(ws1['A'+str(x)].value)
            
            if "RBV" in strPv:
               want += " (RBV)"
                
            if strRegSoft in strPv:
                if ws3['F'+str(y)].value is None:
                        ws3['F'+str(y)] = want
                        ws1['D'+str(x)].value = "Y"
                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
                else:
                    if want not in str(ws3['F'+str(y)].value):
                        temp = str(ws3['F'+str(y)].value)
                        ws3['F'+str(y)] = temp + ", " + want
                
                        ws1['D'+str(x)].value = "Y"
                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
                    else:
                        ws1['D'+str(x)].value = "Duplicate"
                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
    

wb.save("AllSpreadsheets06172020.xlsx")