# -*- coding: utf-8 -*-
"""
Created on Tue Jun 16 11:01:00 2020

@author: Esther
"""
from openpyxl import Workbook, load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, Color

my_red = Color(rgb='00FF0000')
my_fill = PatternFill(patternType='solid', fgColor=my_red)

wb = load_workbook("MDRM06152020.xlsx")
ws1 = wb[1]
ws2 = wb[2]

RegRange = [item for item in range(1, 537)]
PvRange = [item for item in range(1, 5705)]

for t in PvRange:                        
    if ws1['C'+str(t)].value is None:
        ws1['C'+str(t)].fill = my_fill
        ws1['C'+str(t)] = "MISSING"
        
for z in RegRange:
    if ws2['F'+str(z)].value is None:
        ws2['F'+str(z)].fill = my_fill
        ws2['F'+str(z)] = "MISSING"

wb.save("MDRM06152020.xlsx")