# -*- coding: utf-8 -*-
"""
Created on Mon Jun 15 12:51:54 2020

@author: Esther
"""

from openpyxl import Workbook, load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, Color


MMDRMb = load_workbook("DGSRouterTriggerRegisterMap.xlsx")
MMDRMs = MMDRMb.active

wb = load_workbook("AllSpreadsheets06172020.xlsx")
ws4 = wb.create_sheet("Sheet 4")
ws4 = wb["Sheet 4"]

ws4.column_dimensions['A'].width = 30
ws4.column_dimensions['B'].width = 30
ws4.column_dimensions['C'].width = 10
ws4.column_dimensions['D'].width = 30
ws4.column_dimensions['E'].width = 30
ws4.column_dimensions['F'].width = 10
ws4['A1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['B1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['C1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['D1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['E1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['F1'].fill = PatternFill(fgColor=YELLOW, fill_type = "solid")
ws4['A1'] = "ArrayName"
ws4['B1'] = "Register"
ws4['C1'] = "EPICS Type"
ws4['D1'] = "Software Field Name"
ws4['E1'] = "Human Field Name"
ws4['F1'] = "EDL Files"

count = 2

MMDRMRange = [item for item in range(1172, 32, -1)]

for x in MMDRMRange:
    if MMDRMs['D' + str(x)].value is not None:
        temp = str(MMDRMs['D' + str(x)].value)
        newtemp = temp
    if MMDRMs['J' + str(x)].value != 'x' and MMDRMs['J' + str(x)].value != 'X' and MMDRMs['J' + str(x)].value is not None:
        while temp[-1].isdigit():
            newtemp = temp[:-1]
            break
        ws4['A' + str(count)] = newtemp
        ws4['B' + str(count)] = temp
        ws4['C'+str(count)] = str(MMDRMs['J' + str(x)].value)
        ws4['D' + str(count)] = str(MMDRMs['O' + str(x)].value)
        ws4['E' + str(count)] = str(MMDRMs['Q' + str(x)].value)
        count += 1

wb.save("AllSpreadsheets06172020.xlsx") 
