# -*- coding: utf-8 -*-
"""
Created on Wed Jun 17 12:10:41 2020

@author: Esther
"""

from openpyxl import Workbook, load_workbook
from openpyxl.styles import PatternFill
from openpyxl.styles.colors import YELLOW, Color, GREEN


wb = load_workbook("AllSpreadsheets06172020.xlsx")
ws1 = wb["Sheet"]
ws3 = wb["Sheet 3"]

RegRange = [item for item in range(1, 3608)]

"""
gen_Master
27 to 148
"""
#Range = [item for item in range(27, 148)]
#Range2 = [item for item in range(122, 138)]

#
#for x in Range:
#    want = "gen_Master"
#    if "reg_" in str(ws1['B'+str(x)].value):
#        search = str(ws1['B'+str(x)].value)[15:]
#        if "_RBV" in search:
#            want = "gen_Master (RBV)"
#            search = search[0:-4]
#            
#        for y in RegRange:
#            strRegSoft = str(ws3['A'+str(y)].value)
#            if search == strRegSoft:
#                if ws3['F'+str(y)].value is None:
#                    ws3['F'+str(y)] = want
#                    ws1['D'+str(x)].value = "Y"
#                    ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                else:
#                    if want not in str(ws3['F'+str(y)].value):
#                        temp = str(ws3['F'+str(y)].value)
#                        ws3['F'+str(y)] = temp + ", " + want
#                
#                        ws1['D'+str(x)].value = "Y"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                    else:
#                        ws1['D'+str(x)].value = "Duplicate"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)

#for s in Range2:
#    want = "gen_Master"
#    search = str(ws1['B'+str(s)].value)[11:]
#    if "_RBV" in search:
#        want = "gen_Master (RBV)"
#        search = search[0:-4]
#        
#        for t in RegRange:
#            strRegSoft = str(ws3['D'+str(t)].value)
#            if search in strRegSoft:
#                if ws3['F'+str(t)].value is None:
#                    ws3['F'+str(t)] = want
#                    ws1['D'+str(s)].value = "Y"
#                    ws1['D'+str(s)].fill = PatternFill('solid', GREEN)
#                else:
#                    if want not in str(ws3['F'+str(t)].value):
#                        temp = str(ws3['F'+str(t)].value)
#                        ws3['F'+str(t)] = temp + ", " + want
#                
#                        ws1['D'+str(s)].value = "Y"
#                        ws1['D'+str(s)].fill = PatternFill('solid', GREEN)
#                    else:
#                        ws1['D'+str(s)].value = "Duplicate"
#                        ws1['D'+str(s)].fill = PatternFill('solid', GREEN)

"""
Wheel Map
233 to 1257
"""
#Range = [item for item in range(233, 1257)]
#
#for x in Range:
#    want = "WheelMap"
#    search = str(ws1['B'+str(x)].value)[15:]
#    
#    for y in RegRange:
#            strRegSoft = str(ws3['D'+str(y)].value)
#            if search in strRegSoft:
#                if ws3['F'+str(y)].value is None:
#                    ws3['F'+str(y)] = want
#                    ws1['D'+str(x)].value = "Y"
#                    ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                else:
#                    if want not in str(ws3['F'+str(y)].value):
#                        temp = str(ws3['F'+str(y)].value)
#                        ws3['F'+str(y)] = temp + ", " + want
#                
#                        ws1['D'+str(x)].value = "Y"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                    else:
#                        ws1['D'+str(x)].value = "Duplicate"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)

"""
genRouter
"""

#Range1 = [item for item in range(1310, 1470)]
#
#for x in Range1:
#    search = str(ws1['B'+str(x)].value)[11:-4]
#    want = "genRouter (RBV)"
#    
#    for y in RegRange:
#            strRegSoft = str(ws3['D'+str(y)].value)
#            if search in strRegSoft:
#                if ws3['F'+str(y)].value is None:
#                    ws3['F'+str(y)] = want
#                    ws1['D'+str(x)].value = "Y"
#                    ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                else:
#                    if want not in str(ws3['F'+str(y)].value):
#                        temp = str(ws3['F'+str(y)].value)
#                        ws3['F'+str(y)] = temp + ", " + want
#                
#                        ws1['D'+str(x)].value = "Y"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
#                    else:
#                        ws1['D'+str(x)].value = "Duplicate"
#                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
"""
dgsMTrigRegisters
3186, 3843
"""
Range1 = [item for item in range(3186, 3844)]

for x in Range1:
    want = "dgsMTrigRegisters"
    search = str(ws1['B'+str(x)].value)[12:]
    
    if "_RBV" in str(ws1['B'+str(x)].value):
        search = str(ws1['B'+str(x)].value)[12:-4]
        want = "dgsMTrigRegisters (RBV)"
    
    for y in RegRange:
            strRegSoft = str(ws3['A'+str(y)].value)
            if search in strRegSoft:
                if ws3['F'+str(y)].value is None:
                    ws3['F'+str(y)] = want
                    ws1['D'+str(x)].value = "Y"
                    ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
                else:
                    if want not in str(ws3['F'+str(y)].value):
                        temp = str(ws3['F'+str(y)].value)
                        ws3['F'+str(y)] = temp + ", " + want
                
                        ws1['D'+str(x)].value = "Y"
                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)
                    else:
                        ws1['D'+str(x)].value = "Duplicate"
                        ws1['D'+str(x)].fill = PatternFill('solid', GREEN)

wb.save("AllSpreadsheets06172020.xlsx")